summaryrefslogtreecommitdiffstats
Commit message (Expand)AuthorAgeFilesLines
* Fix random WEBRick test failures.ruby-2.0Vít Ondruch2013-02-222-0/+17
* Fix rubygem-bigdecimal version.Vít Ondruch2013-02-221-6/+5
* Upgrade to Ruby 2.0.0 (r39387).Vít Ondruch2013-02-221-3/+3
* Change to backport error number.Vít Ondruch2013-02-221-1/+1
* One PPC error was fixed, other was introduced.Vít Ondruch2013-02-221-3/+3
* Adjust the patch to pass test_archdirs(TestRbConfig).Vít Ondruch2013-02-222-3/+3
* Revert "Add architecture dependency on ruby-libs to ruby-irb."Vít Ondruch2013-02-221-1/+1
* Add reference to upstream ticket possibly removing one patch.Vít Ondruch2013-02-211-0/+2
* Ensure that rubygem-bigdecimal has higher release then the one from Ruby 1.9.3.Vít Ondruch2013-02-211-1/+7
* Upgrade to Ruby 2.0.0 (r39357).Vít Ondruch2013-02-217-19/+23
* Macros should not be expanded during Ruby build.Vít Ondruch2013-02-211-4/+4
* Create the .%{gem_dir} and allow to override gem installation dir.Vít Ondruch2013-02-191-4/+7
* Introduce %gem_install macro.Vít Ondruch2013-02-191-0/+14
* Fix installation of binary gems.Vít Ondruch2013-02-152-16/+119
* Upgrade to Ruby 2.0.0 (r39237).Vít Ondruch2013-02-145-24/+23
* Upgrade to Ruby 2.0.0 (r39217).Vít Ondruch2013-02-144-17/+104
* Update rubygems --install-dir patch.Vít Ondruch2013-02-132-11/+87
* Upgrade to Ruby 2.0.0 (rc2).Vít Ondruch2013-02-1210-546/+123
* Add architecture dependency on ruby-libs to ruby-irb.Vít Ondruch2013-02-071-1/+1
* Rename the rubygems patch to follow rubygems version.Vít Ondruch2013-02-072-1/+1
* Fix "gem install --install-dir" behavior.Vít Ondruch2013-02-073-27/+94
* Add ruby(runtime_executable) virtual provide, which is later used by RubyPick.Vít Ondruch2013-02-061-0/+6
* Upgrade to Ruby 2.0.0 (r39070).Vít Ondruch2013-02-061-5/+5
* Drop versioned ruby(release) dependencies.Vít Ondruch2013-02-041-8/+8
* Upgrade to Ruby 2.0.0 (r38929).Vít Ondruch2013-01-241-3/+3
* Rename ruby executable to ruby-mri, to be prepared for RubyPick.Vít Ondruch2013-01-241-1/+5
* Change ruby(abi) -> ruby(release).Vít Ondruch2013-01-241-11/+12
* Let Sed escape in original file.Vít Ondruch2013-01-221-2/+2
* Upgrade to Ruby 2.0.0 (r38894).Vít Ondruch2013-01-227-31/+25
* Enable most of the PPC test suite.Vít Ondruch2013-01-211-3/+14
* Fix variables provided by ruby.pc (rhbz#789532, comment 8).Vít Ondruch2013-01-182-1/+40
* Build against libdb instead of libdb4 (rhbz#894022).Vít Ondruch2013-01-181-2/+3
* Remove unneeded patch.Vít Ondruch2013-01-181-46/+0
* Provide nonversioned packageconfig (rhbz#789532).Vít Ondruch2013-01-171-2/+4
* Upgrade to Ruby 2.0.0 (r38848).Vít Ondruch2013-01-161-3/+3
* Bump ruby(abi), since rubygems layout is now incompatible anyway.Vít Ondruch2013-01-081-5/+1
* Move rubygems native extension from gems/exts into gems/%{name}.Vít Ondruch2013-01-082-32/+33
* Add missing ruby-exercise.stp file.Vít Ondruch2013-01-081-0/+39
* Add example tapset file.Vít Ondruch2013-01-081-0/+5
* Escape example command in tapset comment.Vít Ondruch2013-01-081-0/+2
* Upgrade to Ruby 2.0.0 (r38732).Vít Ondruch2013-01-077-24/+26
* Add small TODO.Vít Ondruch2012-12-201-0/+1
* Make Tapset platform independent.Vít Ondruch2012-12-201-13/+6
* Add TapSet for Ruby.Vít Ondruch2012-12-202-0/+325
* Re-enable tests previously disabled due to bugs.Vít Ondruch2012-12-181-3/+1
* Enable SystemTap support.Vít Ondruch2012-12-171-1/+2
* Update to Ruby 2.0.0 (r38422).Vít Ondruch2012-12-177-20/+20
* Try to make -doc subpackage noarch againVít Ondruch2012-12-111-5/+4
* Upgrade to Ruby 2.0.0 (r38297).Vít Ondruch2012-12-107-25/+25
* Always add the .gemspec lines before end of block.Vít Ondruch2012-12-071-6/+6